package roseindia;

import java.io.File;
import org.jdom.Attribute;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.DOMBuilder;

public class DifferentMethod {

	public static void main(String[] args) {
		try {
			String data = "book.xml";
			File file = new File(data);
			DOMBuilder domBuilder = new DOMBuilder();
			Document doc = domBuilder.build(file);
			Element rootEl = doc.getRootElement();
			Element attElement = rootEl.getChild("book");
			System.out.println("Child Name : " + attElement);
			attElement.setAttribute("id", "98");
			Attribute attribute = attElement.getAttribute("id");
			String toStr = attribute.toString();
			System.out.println("String representation of attribute.: " + toStr);
			Element parent = attribute.getParent();
			String attributeName = attribute.getQualifiedName();
			System.out.println("Parent of attribute : " + parent);
			System.out.println("Name of attribute : " + attributeName);

		} catch (Exception ex) {
			System.out.println("Execption " + ex);
		}
	}
}